Bug 1125820 - orphaned packages needed by geeqie
orphaned packages needed by geeqie
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: X11 Applications
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: openSUSE GNOME
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-02-18 16:42 UTC by David Kerkhof
Modified: 2019-04-21 00:49 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---
kris: needinfo? (qa-bugs)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Kerkhof 2019-02-18 16:42:22 UTC
While cleaning out orphaned packages I saw libexiv2-26 as orphaned. Trying to remove it it tells me it is needed by Geeqie. That would mean it shouldn't be marked as orphaned or it is a package that isn't needed anymore by geeqie and so should be removed as requirement.
Comment 1 Kris Scott 2019-03-02 09:20:43 UTC
This is due to an incompatibility between geeqie, and the new libexiv2-27. There was an upstream fix to geeqie here: http://geeqie.org/cgi-bin/gitweb.cgi?p=geeqie.git;a=commit;h=d309cc7c217eeb187ce59b7d5c9145112048182b

It's been over a year since geeqie itself had an official release, and the opensuse package is still stuck on 1.3 which was released over two years ago. So in reality we need an upstream release, and a version bump of the opensuse package to fix this issue. Someone might attempt to make a patch, but it's obviously not the best choice.
Comment 2 David Kerkhof 2019-03-02 09:43:11 UTC
Ok, I understand. But in the meantime, wouldn't it be possible to keep libexiv2-26 available? Because if this package is not offered anymore by Opensuse, then Geeqie cannot be installed anymore on a new install. And even though Geeqie may not have received updates, it is still very useful. 
Let's hope it's developers will release soon a fix.
Comment 3 Kris Scott 2019-03-19 21:26:04 UTC
I created a package in my OBS repository at https://build.opensuse.org/project/show/home:syntobu . It looks like the official package got upgraded to fix a security issue: https://nvd.nist.gov/vuln/detail/CVE-2017-1000128, so I'm not sure how likely it is that it would be put back in the main repo. The solution in the end is probably to wait for geeqie to release a version that includes libexiv2-27 support. It's done in their git repo, just needs to be officially made a release.
Comment 4 Kris Scott 2019-04-21 00:49:48 UTC
This has been fixed: https://build.opensuse.org/request/show/692350